#
# spec file for package nginx-module-vts
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define project_name nginx-module-vts
Name:           nginx-module-vts
Version:        0.2.3
Release:        1.2
Summary:        Nginx virtual host traffic status module
License:        BSD-2-Clause
Group:          Productivity/Networking/Web/Proxy
URL:            https://github.com/vozlt/nginx-module-vts
Source:         https://github.com/vozlt/nginx-module-vts/archive/refs/tags/v%version.tar.gz
BuildRequires:  nginx-source
BuildRequires:  pcre-devel
%ngx_conditionals
%ngx_requires

%description
This is an Nginx module that provides access to virtual host status
information. It contains the current status such as servers, upstreams, caches.
This is similar to the live activity monitoring of nginx plus. The built-in html
is also taken from the demo page of old version.

%prep
%autosetup -p1
cp -r /usr/src/nginx .

%build
cd nginx
%ngx_configure --add-dynamic-module=..
%make_build modules

%install
mkdir -p %buildroot/%ngx_module_dir
install -D -m 0644 nginx/objs/ngx_http_vhost_traffic_status_module.so %buildroot/%ngx_module_dir

%files
%license LICENSE
%ngx_module_dir/*.so

%changelog
* Wed Jan  1 2025 Jan Engelhardt <jengelh@inai.de>
- Update to release 0.2.3
  * fix encodeURI into template
* Wed Jul 26 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 0.2.2
  * Added additional information about cacheZones
  * Added a diagram for the order of module directives
* Tue Jan  4 2022 Jan Engelhardt <jengelh@inai.de>
- Update to snapshot 0.1.18+g41 (3c6cf41)
  * Features:
  * Added vhost_traffic_status_filter_max_node directive to limit
    the size of filters.
  * Added vhost_traffic_status_histogram_buckets directive to set
    the histogram type of request processing time in
    format/(json|prometheus).
  * Added request_time_counter, response_time_counter section to
    support accumulated request processing time.
  * Added TiB unit in format/html.
  * Fixed an XSS vulnerability in the HTML page.
* Tue Jul 24 2018 mrostecki@suse.de
- Adjust configure parameters for binary compatibility with nginx
  binary package
* Tue Jul  3 2018 mrostecki@suse.com
- Provide explanation why %%configure macro cannot be used
* Mon Jun 25 2018 mrostecki@suse.com
- Make use of %%license macro
* Mon Jun  4 2018 mrostecki@suse.com
- Initial release
